
GammaLib - Bug #1477

Log parabola model pull distribution gives wrong fitted prefactor

06/19/2015 08:57 AM - Knödlseder Jürgen

Status: Closed Start date: 06/19/2015

Priority: High Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

Pull distributions with the following logparabola XML file give a prefactor that is almost a factor two to large:

<?xml version="1.0" standalone="no"?>

<source_library title="source library">

  <source name="Crab" type="PointSource">

    <spectrum type="LogParabola">

      <parameter name="Prefactor" scale="1e-16" value="5.878" min="1e-07" max="1000.0" free="1"/>

      <parameter name="Index"     scale="-1"    value="2.325" min="0.0"   max="+5.0"   free="1"/>

      <parameter name="Curvature" scale="-1"    value="0.074" min="0.01"  max="1000.0" free="1"/>

      <parameter name="Scale"     scale="1e6"   value="1.0"   min="0.01"  max="1000.0" free="0"/>

    </spectrum>

    <spatialModel type="SkyDirFunction">

      <parameter free="0" max="360" min="-360" name="RA" scale="1" value="83.6331" />

      <parameter free="0" max="90" min="-90" name="DEC" scale="1" value="22.0145" />

    </spatialModel>

  </source>

  <source name="Background model" type="CTAIrfBackground" instrument="CTA">

    <spectrum type="PowerLaw">

      <parameter name="Prefactor" scale="1.0" value="1.0" min="1e-3" max="1e3"    free="1"/>

      <parameter name="Index"     scale="1.0" value="0.0" min="-5.0" max="+5.0"   free="1"/>

      <parameter name="Scale"     scale="1e6" value="1.0" min="0.01" max="1000.0" free="0"/>

    </spectrum>

  </source>

</source_library>

History

#1 - 06/19/2015 09:10 AM - Knödlseder Jürgen

- Status changed from New to Feedback

- % Done changed from 0 to 100

The problem was introduced when doing #1466. A fixed number of iterations were used for flux integration in the log parabola model which led to a

hugh inaccuracy in the result. I switched back to setting the integration precision.

#2 - 06/20/2015 08:41 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed

Check by generating a pull distribution that this is now fixed.
